#include <nds.h>
#include "touchpad.h"

#define SCREEN_WIDTH 256
#define SCREEN_HEIGHT 192


// Linear mapping can be used to go from touchscreen position to pixel position

// Precalculate some values
s16 TOUCH_WIDTH  = SCREEN_WIDTH ;
s16 TOUCH_HEIGHT = SCREEN_HEIGHT ;
s16 CNTRL_WIDTH  = 1 ;
s16 CNTRL_HEIGHT = 1 ;


void init_calibration ()
{
  TOUCH_WIDTH  = TOUCH_CAL_X2 - TOUCH_CAL_X1 ;
  TOUCH_HEIGHT = TOUCH_CAL_Y2 - TOUCH_CAL_Y1 ;
  CNTRL_WIDTH  = TOUCH_CNTRL_X2 - TOUCH_CNTRL_X1 ;
  CNTRL_HEIGHT = TOUCH_CNTRL_Y2 - TOUCH_CNTRL_Y1 ;
}
